import java.applet.*;
import java.awt.*;
import java.net.*;

public class MyAppl extends Applet
{

  Button bplay, bpause, bresume, bquit;
  List movielist;
  Dsap ds;
  DsapListener dl;
  int selected;

  public void init()
  {
    ds = new Dsap();
    URL baseURL = getCodeBase();
    String[] mtlist = ds.getTitles(baseURL);
    movielist = new List(10, false);
    int i;

    dl = new DsapListener(ds);
    dl.start();

    ds.SetupSocket();
    bplay = new Button("Play!");
    bpause = new Button("Pause!");
    bresume = new Button("Resume!");
    bquit = new Button("Quit!");

    for (i=0; i<mtlist.length; i++)
    {
      movielist.addItem(mtlist[i]);
    }

    setLayout(new BorderLayout());
    add("Center", movielist);
    Panel bpanel = new Panel();
    bpanel.setLayout(new GridLayout(1, 2));
    bpanel.add(bplay);
    bpanel.add(bpause);
    bpanel.add(bresume);
    bpanel.add(bquit);
    add("South", bpanel);

    selected = 1;
  }

  public boolean action(Event evt, Object arg)
  {

    if (evt.target == bplay)
    {
      int i = movielist.getSelectedIndex();
      if (i>=0)
	ds.StartMovie((short) i);
      return true;
    }

    if (evt.target == bpause)
    {
      ds.Pause();
      return true;
    }
		
    if (evt.target == bresume)
    {
      ds.Resume();
      return true;
    }
		
    if (evt.target == bquit)
    {
      ds.Quit();
      return true;
    }
		
    return true;
  }
}

