/* =============================================================

	File: msg.h

	Title: Message Handler

	Author: Ashok

	Purpose: Displays messages

================================================================ */

#include "xpbasic.h"

void msg(char *fmt, ...);
/* Displays a message */

void warn(char *fmt, ...);
/* Displays a warning */

void pwarn(char *fmt, ...);
/* Displays a warning */

void err(char *fmt, ...);
/* Displays an error message and quits */

void perr(char *fmt, ...);
/* Displays an error message, calls perror and quits */

/* The next functions handle logs

void log_open(char *filename);
/* Opens the given log (if it exists, messages are appended */

void log(char *fmt, ...);
/* Displays a message */

void log_close(void);
/* Closes the current log */

void logpkt(pkt *p, char *s);
/* Writes info about a pkt to log */
